Bug 64105 - Oops 2.4.9-31smp: remove_free_dquot: dquot not on the free> list?
Oops 2.4.9-31smp: remove_free_dquot: dquot not on the free> list?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-25 14:53 EDT by Pete Zaitcev
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci, lsmod, oops, sysrq (278.31 KB, text/plain)
2002-05-01 12:00 EDT, Bob Matthews
no flags Details
Just another case (16.35 KB, text/plain)
2002-05-14 07:55 EDT, Need Real Name
no flags Details
Just another case #2 (6.65 KB, text/plain)
2002-06-17 06:14 EDT, Need Real Name
no flags Details

  None (edit)
Description Bob Matthews 2002-04-25 14:53:32 EDT
Description of Problem:

Kernel oops with 2.4.9-31smp.  Hardware details sketchy at this point.  Have
requested additional information.

Unable to handle kernel NULL pointer dereference at virtual address 00000004
c01583a3
*pde = 00000000
Oops: 0002
CPU:    1
EIP:    0010:[prune_dqcache+115/192]    Not tainted
EIP:    0010:[<c01583a3>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010206
eax: 00000000   ebx: c4c5fe20   ecx: c4c5fe28   edx: 00000000
esi: 00000011   edi: 000000c0   ebp: 0008e000   esp: eff8bf8c
ds: 0018   es: 0018   ss: 0018
Process kswapd (pid: 7, stackpage=eff8b000)
Stack: c771c000 c20ca470 eff8a000 0008e000 0000024d 000000c0 c0158405 00000052 
       c013605b 00000006 000000c0 c20ca470 000000c0 c20ca37c 000000c0 000000c0 
       00000000 eff8a000 00000006 c01360d5 000000c0 00000000 00010f00 efffbfb8 
Call Trace: [shrink_dqcache_memory+21/48]
[<c0158405>] shrink_dqcache_memory [kernel] 0x15 
[<c013605b>] do_try_to_free_pages [kernel] 0x2b 
[<c0105866>] kernel_thread [kernel] 0x26 [kswapd+0/240] kswapd [kernel] 0x0 
[<c0136080>] kswapd [kernel] 0x0 
Code: 89 50 04 89 02 c7 41 04 00 00 00 00 c7 43 08 00 00 00 00 8b 

>>EIP; c01583a3 <prune_dqcache+73/c0>   <=====
Trace; c0158405 <shrink_dqcache_memory+15/30>
Trace; c013605b <do_try_to_free_pages+2b/50>
Trace; c0105866 <kernel_thread+26/30>
Trace; c0136080 <kswapd+0/f0>
Code;  c01583a3 <prune_dqcache+73/c0>
00000000 <_EIP>:
Code;  c01583a3 <prune_dqcache+73/c0>   <=====
   0:   89 50 04                  mov    %edx,0x4(%eax)   <=====
Code;  c01583a6 <prune_dqcache+76/c0>
   3:   89 02                     mov    %eax,(%edx)
Code;  c01583a8 <prune_dqcache+78/c0>
   5:   c7 41 04 00 00 00 00      movl   $0x0,0x4(%ecx)
Code;  c01583af <prune_dqcache+7f/c0>
   c:   c7 43 08 00 00 00 00      movl   $0x0,0x8(%ebx)
Code;  c01583b6 <prune_dqcache+86/c0>
  13:   8b 00                     mov    (%eax),%eax
Comment 1 Bob Matthews 2002-05-01 12:00:32 EDT
Created attachment 56047 [details]
lspci, lsmod, oops, sysrq
Comment 2 Need Real Name 2002-05-14 07:55:56 EDT
Created attachment 57244 [details]
Just another case
Comment 3 Need Real Name 2002-06-17 06:14:42 EDT
Created attachment 61125 [details]
Just another case #2
Comment 4 Arjan van de Ven 2002-06-17 06:34:41 EDT
sbrohs@iprimus0800.net: what kind of kernel modules are you using?
Please stop using insmod -f for one! That is asking for problems!
Comment 5 Need Real Name 2002-06-17 10:25:10 EDT
We are using Compaq Management Health and Wellness Driver cpqrid-2.2.0-8 and 
cpqhealth-2.3.0-20 (since the machine is a ProLiant DL3802G). In fact these 
modules (cpqhealth and cpqrid) are by default inserted with -f. We have now 
disabled them in order to find out if they confuse the kernel. to be 
continued...
Comment 6 Bugzilla owner 2004-09-30 11:39:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.